### Class

# Ggit Mailmap

#### Description [src]

    final class Ggit.Mailmap : Ggit.Native
    {
      /* No available fields */
    }

Represents a mailmap.

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Constructors

###### ggit_mailmap_new

Creates a new `GgitMailmap`.

###### ggit_mailmap_new_from_repository

Creates a new `GgitMailmap` and loads mailmap files according to the configuration of `repository`.

#### Instance methods

###### ggit_mailmap_add_entry

Adds a new entry to `mailmap`, replacing `replace_name` and `replace_email` with `real_name` and `real_email` respectively. If `replace_name` is `NULL`, it is ignored during matching. If either `real_name` or `real_email` is `NULL`, the respective field is not replaced.

###### ggit_mailmap_resolve

Resolves `replace_name` and `replace_email` to `real_name` and `real_email`. If `mailmap` is `NULL`, no substitution is performed.

###### ggit_mailmap_resolve_signature

Resolves `signature` to use the real name and email according to `mailmap`. If `mailmap` is `NULL`, no substitution is performed, but a new signature is still allocated and returned.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitMailmapClass {
      GgitNativeClass parent_class;

    }

No description available.

###### Class members

`parent_class: GgitNativeClass`

  No description available.